
void abRestor::init()
{
    abRestor::move(240,150);
    ext = QString::null;
    extension=QString::null;
    where_un = QString::null;
    sel_arch=QString::null;
    proc=new QProcess(this);
    procc=new QProcess(this);       
    lineEdit5->setText(QString::null);
    lineEdit6->setText(QString::null);
    textLabel1_3->setText(0);
    textLabel2_2->setText(0);
    textLabel3_2->setText(0);
    textBrowser1->clear();
    rest_butt->setEnabled(false);
    connect(procc, SIGNAL(readyReadStdout()), this, SLOT(readStandOut_two()) );
    connect(procc, SIGNAL(processExited()), this, SLOT(procesIzlez()) );
}

void abRestor::where_unpck()
{
    where_un = QFileDialog::getExistingDirectory(QDir::homeDirPath(), this, "Selection", "Select where to unpack the archive", true);
     if(!where_un.isEmpty()) lineEdit6->setText(where_un);
    
    QString arch_name(sel_arch);
    QFileInfo arch_file(arch_name);
    QString arch_filename(arch_file.fileName());
    
    proc->addArgument("cp");
    proc->addArgument("-f");
    proc->addArgument(arch_name);
    proc->addArgument(where_un);
    proc->start();
}

void abRestor::select_arch_f()
{
    sel_arch = QFileDialog::getOpenFileName(QDir::homeDirPath(), "Backup Archives (*.tar *.tar.gz *.tar.bz2)",   this,  "Select backup archive", "Selection" );
    
    QFileInfo fileName(sel_arch);    
        
  if((fileName.fileName() != "ab_BackUp_v0.1.tar.gz") && (fileName.fileName() != "ab_BackUp_v0.1.tar.bz2")) 
    {
	 QMessageBox::warning(this,"Not backup Archive", "You didn't selected backup archive\ncreated with the 'aB Backup Tool'.\n\nPlease try again!");
     }
        else {  
	    if(!sel_arch.isEmpty()) lineEdit5->setText(sel_arch);
	    if(fileName.extension(false) == "bz2") { ext = "jxvf"; extension="BZip2";}
	    if(fileName.extension(false) == "gz") { ext = "zxvf"; extension="GZip";}
	    rest_butt->setEnabled(true);
	    textLabel1_3->setText(extension);
	    QVariant fs = fileName.size();
	    QString fileSize = fs.toString();	
	    textLabel2_2->setText(fileSize);
	    textLabel3_2->setText(fileName.dirPath(true));
	}  
}


void abRestor::start_restor()
{
    QString arch_name(sel_arch);
    QFileInfo arch_file(arch_name);
    QString arch_filename(arch_file.fileName());
	    
    QDir *dirTemp = new QDir();
    dirTemp->setCurrent(where_un);
    
    procc->addArgument("tar");
    procc->addArgument(ext);
    procc->addArgument(arch_filename);      
    procc->start();    
    
    delete dirTemp;
}

void abRestor::closeEvent(QCloseEvent *e)
{	
    QMessageBox mb("Warning", "Are you sure you want to quit the\n'aB Restor' tool?",
		   QMessageBox::Warning,
		   QMessageBox::Yes,
		   QMessageBox::No | QMessageBox::Default,0);
    switch(mb.exec()) {
    case QMessageBox::Yes:
	e->accept();
	break;
    case QMessageBox::No:
	e->ignore();
	break;
    }
}

void abRestor::abBackup()
{
    abMain *form1 = new abMain(this);
    form1->show();
}

void abRestor::procesIzlez()
{
    deleteFile();    
    QMessageBox mb("Process Finished", "The process finished. What do to next?",
		   QMessageBox::Information,
		   QMessageBox::Yes | QMessageBox::Default, 
		   QMessageBox::No | QMessageBox::Escape,0);
    
    mb.setButtonText(QMessageBox::Yes, "New Restoring");
    mb.setButtonText(QMessageBox::No, "Exit");
   
    switch(mb.exec())
    {
    case QMessageBox::Yes:
	init();
	break;
    case QMessageBox::No:
	abRestor::close();
	break;
    }  
}

void abRestor::deleteFile()
{
    QString arch_name(sel_arch);
    QFileInfo arch_file(arch_name);
    QString arch_filename(arch_file.fileName());
    
    QProcess *proces = new QProcess(this);
    proces->addArgument("rm");
    proces->addArgument("-f");
    proces->addArgument(where_un+arch_filename);  
    proces->start();
}

void abRestor::readStandOut_two()
{
    QString readVar(procc->readStdout());
    QString readErr(procc->readStderr());
    textBrowser1->append(readVar);
    textBrowser1->append(readErr);
}

void abRestor::destroy()
{
    delete proc;
    delete procc;
}
