
void abSelect::opt_set_f()
{
    dir = QFileDialog::getExistingDirectory(QDir::homeDirPath() , this, "Select Directory", "Selection",TRUE, TRUE);
    if(!dir.isEmpty())    listBox1->insertItem(dir, -1);
                           else return;
    strlst.append(dir);
    str=strlst.join(" ");
}

void abSelect::opt_set_rem()
{
    QString cur_txt(listBox1->currentText());
    int i(listBox1->currentItem());
    listBox1->removeItem(i);
    strlst.remove(cur_txt);
}

void abSelect::inc_f()
{    
    unzip=new QProcess(this);
    connect(unzip, SIGNAL(readyReadStderr()), this, SLOT(read_err()) );
    
    
    dir_dva = QFileDialog::getOpenFileName(QDir::homeDirPath(),"Backup Archives (*.tar *.tar.bz2 *.tar.gz)",this, "Select archive", "Selection");
    QFileInfo file(dir_dva);
    
    if(!dir_dva.isEmpty() && file.extension(false) != "tar") 
    {
   	QMessageBox::information(this, "Extension Information", "The file you choosed is compressed archive.\nThe compresion could be GZip or BZip2.\n\nFor proper incremental backup process, the archive\nis supposed to be non-compressed.\nIt will be decompressed and after the backup process\nagain compressed.");
    }
    
    if(file.extension(false) == "gz") {
	unzip->addArgument("gunzip");
	unzip->addArgument(dir_dva);
	unzip->start();
	tl_inc->setText(dir_dva.remove(".gz")); 
    }
	
    if(file.extension(false) == "bz2") {
	unzip->addArgument("bunzip2");
	unzip->addArgument(dir_dva);
	unzip->start();
	tl_inc->setText(dir_dva.remove(".bz2")); 
    }
    if(!dir_dva.isEmpty()) tl_inc->setText(dir_dva);    
}

void abSelect::read_err()
{
    QString error(unzip->readStderr());
    QMessageBox::critical(this, "Error", error);
}


