
void abOptions::init()
{
       QSettings settings;
       settings.setPath("Gemidjy.org", "aB Backup Tool", QSettings::User); 
       
       bool b = settings.readBoolEntry("/ab/startup/bool/", 0);
       if(b) checkBox8->setChecked(TRUE);
       else checkBox8->setChecked(FALSE);
       
       QString str_log = settings.readEntry("/ab/files/pathLogs", QDir::homeDirPath()+"/Desktop/");
       le_log->setText(str_log);
       
       i=0;
}

void abOptions::get_dir_logs()
{    
    QSettings settings;
    QString dir_eden = QFileDialog::getExistingDirectory(QDir::homeDirPath(),this,"Please choose where to save the log files.", "Selection", TRUE, TRUE);
    if(!dir_eden.isEmpty()) {
    settings.writeEntry("/ab/files/pathLogs/", dir_eden);    
    le_log->setText(dir_eden);        
    ++i;
    }
}


void abOptions::startup(bool b)
{
    QSettings settings;
    if(b) settings.writeEntry("/ab/startup/bool/", true);
            else settings.writeEntry("/ab/startup/bool/", false);	    
    ++i;
}

void abOptions::ok()
{
    if(i>0) {
	QMessageBox::information(this, "Options changed", "The changes will take effect\nafter you restart the program.");
	i=0;
	this->accept();
    }
    else this->accept();
    }
